Results 1 to 2 of 2

Thread: 32 bit wine on 64 bit opensuse gstreamer issues

  1. #1

    Default 32 bit wine on 64 bit opensuse gstreamer issues

    hello i am currently trying to build wine from source to be able to use a patched up wine. However i am unable to get gstreamer support. I keep getting

    Code:
    configure: gstreamer-0.10 base plugins 32-bit development files not found, gstreamer support disabled
    every attempt to find the gstreamer-0.10-plugins-base-devel 32 bit version has failed i am only finding the 64 bit version anyone happen to know where im going wrong?

  2. #2

    Default Re: 32 bit wine on 64 bit opensuse gstreamer issues

    You have to specify 32 bit pkgconfig when running ./configure or it won't find the 32 bit gstreamer libraries. The command I use (on 11.4) is:

    Code:
    PKG_CONFIG_PATH=/usr/lib/pkgconfig ./configure --x-libraries=/usr/X11R6/lib
    You didn't say what version of openSUSE you're using. I'm still on 11.4, and winegstreamer works with the older glib it uses, but if you're on a version that uses glib 2.32.0 or later, you will run into WineHQ Bugzilla - Bug 30557 - winegstreamer broken with >=glib-2.32.0.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •